class LogoutCommand:
    def __init__(self, *args):
        self.logout(*args)

    def logout(
        self, addr, authed, data, obj, spl, success, failure, info, incUsage, length
    ):
        if authed:
            obj.authed = False
            success("Logged out")
            return
        else:
            incUsage(None)
